Bug 1012125 - 2Master replication with SASL/GSSAPI auth broken
2Master replication with SASL/GSSAPI auth broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Rich Megginson
Sankar Ramalingam
: TestBlocker
Depends On: 1006846
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 14:53 EDT by Nathan Kinder
Modified: 2014-06-17 23:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.1.6-5.el7
Doc Type: Bug Fix
Doc Text:
Cause: If a replication is configured against a sub backend instance before initializing the backend with a sub suffix entry, an RUV entry is inserted with a temporary sub suffix entryid to the entryrdn index. The temporary entryid was not updated when the real sub suffix entry was added. Consequence: Search failed to return entries under the sub suffix if a replication is configured before initializing the sub backend. Fix: When a real sub suffix is added, the temporary entry id in the entryrdn index is replaced with the real entry id. Result: Search successfully returns entries under the sub suffix if a replication is configured before initializing the sub backend.
Story Points: ---
Clone Of: 1006846
Environment:
Last Closed: 2014-06-13 07:53:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Ján Rusnačko 2013-11-11 17:35:53 EST
With RHEL 7 and 389-ds-base-1.3.1.6-8.el7.x86_64 - tested and works correctly.
Comment 4 Ján Rusnačko 2013-11-12 08:09:35 EST
Automated in mmrepl/accept/accept.sh as bug1006846.
Comment 5 Ludek Smid 2014-06-13 07:53:51 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.